<! DOCTYPE html>
<html lang="es">
    <head>
      <title> FINAL PROJECT </title>  
        <meta charset="UTF-8">
       <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!--
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scalable=1, maximum-scale=1, minimum-scale=1">
          -->
        
        
        
        
    <link rel="stylesheet" href="css/fontello.css">
    <link rel="stylesheet" href="css/stylePM.css">
                        
    
    
    
    </head>



    <body>
        <header>
        
       
            <div class="contenedor" > 
            <h1 class="icon-rocket"> FINAL PROJECT  </h1>
            
            <nav class="menu">
                <a href="index.html">HOME</a>
                
                
            
            
            </nav>
        </div>
        
        </header>
    
    <main>
        
        
        <section id="banner">
             
            
            <!--
        
            <div class="contenedor">
           
            <h2> Fundamentals Lab Project </h2>
            <p> Development of assignments </p>
            <a href="#"> Read More</a>
        
         </div>
                -->
            
        </section>
        
        <section id="description">

               <br/>
            
                 <img src="IDEA.png" border="2" title="INTRO WALLPAPER" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
        
               <br/>
            
                 
         <h2> Project details </h2>
            
             <br/>
            
             <p> Temperature is a highly indispensable variable in every production process. </p>
            <p> With our project, we could activate an alarm when the ambient temperature is higher than agreed. For example, in the control of the temperature of the DataCenter and in controlled agriculture. </p> 
             <br/>
        
             <p> Our prototype temperature controller must meet the following requirements: </p> 

                <p> 1. Read the room temperature through a sensor. </p> 
                <p> 2. Have SetPoint adjustment with a potentiometer. </p> 
                <p> 3. Show the room temperature and the SetPoint value in a clear and constant way. </p> 
                <p> 4. When the ambient temperature is higher than the SetPoint, an output must be activated. </p>
            
             <br/>
            <br/>
            
             <h2> Project Cost </h2>
            
             <img src="ProjectCost1.png" border="2" title="Project Cost" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            <img src="ProjectCost2.png" border="2" title="Project Cost" style="max-width:100%;width:auto;height:auto;">  
            <br/>
            <br/>
            
            
            <h2> Embedded Programming </h2>
    
            
              <p>
                  I decided to start the project by testing the embedded programming before using the arduino as bootloader, so we will rehearse our program with ARDUINO UNO. </p>
                 <p> Everything developed has been learned in the course, specifically in the Program Embedded lesson
           </p> <br/>
            
              <p>
                  
                  The complete development of the software I have divided into parts to ensure smooth operation. We start by testing the LM35 Temperature Sensor
           </p> <br/>
            
        
             <img src="TestingLM35.png" border="2" title="Testing LM35" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>  <br/>
            
             <p>
            
              
                 If you wish, you can download this program by clicking on the following link  <a href="TestingLM35.rar"><b> Testing LM35 Sensor </b>  </a>

           </p>
            
            <br/> 
            <br/>
            
             <p>     
                 Now, we will try another analog input and verify if it varies according to our manipulation of the potentiometer.    </p>
               <p>    To better understand the program, let's not forget the important thing about programming the Serial Monitor.

           </p>
            
            <img src="TestingPot.png" border="2" title="Programming Setpoint with Potenciometer" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            
           
          
            
            
             <p>
            
              
                 If you wish, you can download this program by clicking on the following link  <a href="TestingA1_withPot.rar"><b> Testing A1 with Potenciometer </b>  </a>

           </p>
          
            
          <video src="TestingProgramming.MOV" width="640" height="480" autoplay controls></video>
            
            <br/>
             <br/>
            
            <p>    
Now we will develop the main program, we will add a routine for the SetPoint adjustment and a comparison block between the SetPoint and the Temperature. </p>
                  <p>   After achieving that, we will do the corresponding programming to be able to show the values in the LCD Display </p>
            <p>  You can download the libraries to use the LM35 Sensor in this Link <a href="LM35-library.zip"><b> LM35LIbrary </b> </a> and also the Library to use the LCD Display  <a href="https://playground.arduino.cc/Main/LiquidCrystal"><b> LCDDisplay </b> </a> </p>

        
            
            <br/>
             <br/>
            
            
            <img src="FinalProgramming1.png" border="2" title="Setting Devices" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            <br/>
            
            <p>
                Once declared the libraries and the variables, we can define our outputs and references

           </p>
            <img src="SetUpFinal.png" border="2" title="SetUp Final" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            <br/>
            
            <p>
                We program a routine to read the data of the entrances and to be able to process them to show them in the serial monitor and the LCD
            
            </p>
            <img src="LoopFinal.png" border="2" title="SetUp Final" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            <img src="SerialAndLCD.png" border="2" title="SetUp Final" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            
            
            <p>
                With an If cycle we can perform the comparison process between our SetPoint and the Temperature
            
            </p>
        
            <img src="IfCycle.png" border="2" title="SetUp Final" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            <br/>
            
             
            <p>
                
                In this way we achieve our programming, although as a final detail we will perform a small calibration to improve the reading and processing of analog signals
            </p>
            
             <img src="TestingBoard.png" border="2" title="Testing Board" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            <br/>
            
            <p>
                
                
                You can download the complete program in the following link  <a href="FinalProgramming.rar"><b> Final Programming Temperature Controller </b> </a>
            </p>
            
            
    
            
            
            
        </section>
        
              --> 
        </section>
        </main>
    
    </body>
</html>